Subject: Re: Using git to store /etc, redux

From: Jan Hudec <[email-masked]>
Date: Mon, 21 May 2007 20:32:39 +0200

On Sat, May 19, 2007 at 19:48:15 +0200, David Härdeman wrote:
> I recently had the idea to store and track /etc using git. When googling 
> the topic I came across the "Using git to store /etc" thread from the 
> end of last year which provided some interesting details on what would 
> be necessary.
> 
> It seems the file metadata (owner, group, mode, xattrs, etc) was the big 
> stumbling point, so I wrote up a tool over the last few days which 
> allows the metadata to be stored in a separate file which can be stored 
> along with the rest of the data in the repo (or separately).
> 
> This is also useful for tripwire type checks and for other types of 
> storage which drops some of the metadata (tar comes to mind)...
> 
> The tool (metastore) is available from: 
> git://git.hardeman.nu/metastore.git
> 
> Not completely cleaned up yet (it lacks a real README and some Makefile 
> targets) but I hope it might be useful to others (it sure is to me).
> 
> Please CC me on any replies.

Have you looked at IsiSetup (http://www.isisetup.ch/, linked from
http://git.or.cz/gitwiki/InterfacesFrontendsAndTools) yet? It's a front-end
to git specifically targeted for versioning configuration. From a quick
glance at it's web I don't see whether it already stores the metadata you
describe, but in either case it could be interesting for you.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>